<?php

global $SQLMAP;
global $PFORM;

$parent = $PFORM->getIDaccordion();
$section = "ENUMERATION";
$description = "These options can be used to enumerate the back-end database management system information, structure and data contained in the Tables. Moreover you can run your own SQL statements";

?>
<div class="panel panel-primary">
    <?php
    $PFORM->printPanelHeading($parent, $section, $description);
    $PFORM->printPanelCollapse(0, $section, true);
    ?>
    <div class="row">
        <div class="col-md-6">
            Retrieve DBMS current user:
            <div class="btn-group" data-toggle="buttons">
                <?php
                    $value  = $SQLMAP->getCurrentuser();
                    $PFORM->printFormTCheckbox('currentuser', $value, false, false, '--current-user');
                ?>
            </div>
        </div>
        <div class="col-md-6">
            Retrieve DBMS current database:
            <div class="btn-group" data-toggle="buttons">
                <?php
                    $value  = $SQLMAP->getCurrentdb();
                    $PFORM->printFormTCheckbox('currentdb', $value, false, false, '--current-db');
                ?>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            Retrieve DBMS server hostname:
            <div class="btn-group" data-toggle="buttons">
                <?php
                    $value  = $SQLMAP->getHostname();
                    $PFORM->printFormTCheckbox('hostname', $value, false, false, '--hostname');
                ?>
            </div>
        </div>
        <div class="col-md-6">
            Enumerate DBMS users:
            <div class="btn-group" data-toggle="buttons">
                <?php
                    $value  = $SQLMAP->getUsers();
                    $PFORM->printFormTCheckbox('users', $value, false, false, '--users');
                ?>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            Enumerate DBMS users privileges:
            <div class="btn-group" data-toggle="buttons">
                <?php
                    $value  = $SQLMAP->getPrivileges();
                    $PFORM->printFormTCheckbox('privileges', $value, false, false, '--privileges');
                ?>
            </div>
        </div>
        <div class="col-md-6">
            Enumerate DBMS databases:
            <div class="btn-group" data-toggle="buttons">
                <?php
                    $value  = $SQLMAP->getDbs();
                    $PFORM->printFormTCheckbox('dbs', $value, false, false, '--dbs');
                ?>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            Enumerate DBMS database tables:
            <div class="btn-group" data-toggle="buttons">
                <?php
                    $value  = $SQLMAP->getTables();
                    $PFORM->printFormTCheckbox('tables', $value, false, false, '--tables');
                ?>
            </div>
        </div>
        <div class="col-md-6">
            Enumerate DBMS database table columns:
            <div class="btn-group" data-toggle="buttons">
                <?php
                    $value  = $SQLMAP->getColumns();
                    $PFORM->printFormTCheckbox('columns', $value, false, false, '--columns');
                ?>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            Enumerate DBMS schema:
            <div class="btn-group" data-toggle="buttons">
                <?php
                    $value  = $SQLMAP->getSchema();
                    $PFORM->printFormTCheckbox('schema', $value, false, false, '--schema');
                ?>
            </div>
        </div>
        <div class="col-md-6">
            Dump DBMS database table entries:
            <div class="btn-group" data-toggle="buttons">
                <?php
                    $value  = $SQLMAP->getDump();
                    $PFORM->printFormTCheckbox('dump', $value, false, false, '--dump');
                ?>
            </div>
        </div>
    </div>
    <?php $PFORM->printPanelCollapse(1, $section, true); ?>
</div>